------------------
-- AA Base Page --
------------------
local hud_path = LockOn_Options.script_path.."HUD/indicator/"

dofile(hud_path.."HUD_page_NAV_base.lua")
dofile(hud_path.."/Global/HUD_Digital_Heading.lua")

-- Velocity Vector
local	hud_vvm						= CreateElement "ceSimple"
		hud_vvm.name				= "hud_vvm"
		hud_vvm.init_pos			= {0, 0.0, 0}
		hud_vvm.parent_element		= HUD_center.name
		hud_vvm.controllers			= {{"nav_dmg_lvl_0"}, {"ac_vvz", HUD_SCALE}, {"ac_vvy", HUD_SCALE}}
AddHUDElement(hud_vvm)

local	VVM_Symbol					= CreateElement "ceSMultiLine"
		VVM_Symbol.name				= "HUD_VVM_caged"
		VVM_Symbol.material			= stroke_material
		VVM_Symbol.init_pos			= {0.0, 4.0 * MilToDI(HUD_SCALE), 0}
		VVM_Symbol.points_set		= {"HUD_stroke_symbols", "FPM"}
		VVM_Symbol.parent_element	= hud_vvm.name
		VVM_Symbol.scale			= HUD_SCALE
AddHUDStrokeSymbol(VVM_Symbol)

local	VVM_Symbol					= CreateElement "ceSMultiLine"
		VVM_Symbol.name				= "HUD_VVM_ghost"
		VVM_Symbol.material			= stroke_material
		VVM_Symbol.init_pos			= {0.0, 6.0 * MilToDI(HUD_SCALE), 0}
		VVM_Symbol.points_set		= {"HUD_stroke_symbols", "ghost_FPM"}
		VVM_Symbol.parent_element	= HUD_center.name
		VVM_Symbol.scale			= HUD_SCALE
		VVM_Symbol.controllers 		= {{"ac_fpm_ghost", HUD_SCALE}}
AddHUDStrokeSymbol(VVM_Symbol)

-- DIGITAL DATA LEFT

-- DIGITAL DATA RIGHT
local	Window02					= CreateElement "ceStringSLine"
		Window02.name				= "TTT_Value"
		Window02.material			= stroke_font
		Window02.init_pos			= {68.0 * MilToDI(HUD_SCALE), -182.0 * MilToDI(HUD_SCALE), 0}
		Window02.formats			= {"%02d.%02d.%02d"}
		Window02.stringdefs			= stringdefs[STROKE_FNT_DFLT_120]
		Window02.alignment			= "LeftCenter"
		Window02.parent_element		= ADC_HUD_center.name
		Window02.controllers		= {{"timer_cst_data"}, {"timer_cst_value"}}
AddHUDElement(Window02)
